Problem printing from Firefox to Cups

Markus Heinz markus.heinz at uni-dortmund.de
Fri Jul 29 18:27:42 UTC 2011


Hello Juergen,

On Fri, 29 Jul 2011 14:56:57 +0200
Juergen Daubert <jue at jue.li> wrote:

> On Thu, Jul 28, 2011 at 07:24:15PM +0200, Markus Heinz wrote:
> > Hello,
> 
> Hello Markus,
> 
> thanks for the report, I see the same error here.
> 
> > I cannot print from firefox to cups. I use cups 1.4.8-1 and firefox
> > 5.0.1-1. The message in the cups error log is as follows:
> > 
> > Returning IPP client-error-document-format-not-supported for
> > Print-Job (ipp://localhost:631/printers/dj5550) from localhost
[...]
> > Has anyone an idea how to fix this?
>  
> The problem is that firefox, beginning with version 5, seems to use
> pdf instead of ps for printing. With Firefox 4.x and 3.x we don't
> have the issue. 
> 
> The easiest fix is to modify cups' Pkgfile and change
> --with-pdftops=none to --with-pdftops=gs and rebuild the cups
> package. The drawback is that we introduce a circular dependency,
> because ghostscript itself depends on cups. 
> 
> The second possibility is to install either xpdf or poppler and use 
> --with-pdftops=pdftops with cups, which pulls in other dependencies.
> Not very nice at all, but currently the only clean solution.

I have chosen the second option as I have installed poppler anyway and
now I can print from firefox again. 

> One idea might be to create a new port, maybe called pdf-utils, that 
> includes only the cli part of either poppler or xpdf.
> 
> 
> HTH and best regards
> Juergen

Thanks a lot and best regards

Markus




More information about the CRUX mailing list